"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = sqlwatcher;

var _fs = require("fs");

var _chokidar = require("chokidar");

var _knex = require("knex");

var _knex2 = _interopRequireDefault(_knex);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const write = database => path => {
  return (0, _fs.readFile)(path, "utf-8", (error, data) => {
    if (error) {
      return console.error(error);
    }

    console.log(`Change detected to ${ path }`);

    return database.raw(data).then(() => {
      console.log(`Upserted ${ path }`);
    }).catch(error2 => {
      console.error(error2);
    });
  });
};

function sqlwatcher({ pattern, adapter }) {
  const connection = process.env.DATABASE_URL;
  const configuration = {
    client: adapter,
    connection,
    pool: {
      min: 0,
      max: 10
    }
  };
  const client = (0, _knex2.default)(configuration);

  console.log({ configuration });

  console.log(`Watching pattern ${ pattern }`);

  return (0, _chokidar.watch)(pattern).on("changed", write(client)).on("add", write(client));
}